#include <stdexcept>
#include <string>
#include "ai.hpp"

namespace icfp {

    
    class link {
        public:
            link( const std::string &host, int port );

            void send( const std::string &command ) const;
            std::string receive() const;
            
        private:
            int m_socket;
            int m_connection;
    };


    bool process( const link &, map &, rover & );

    
}
