#include <iostream>
#include "command.hpp"
#include <stdlib.h> // atoi

int main( int argc, char* argv[] ) {
    std::cout << "ICFP 08, team Felspar" << std::endl;

    icfp::link link( argv[ 1 ], atoi( argv[ 2 ] ) );
    icfp::map map;
    icfp::rover rover;
    
    icfp::process( link, map, rover ); // I message
    for ( int i( 0 ); i < 5; ++i ) {
        while( icfp::process( link, map, rover ) )
            rover.move( link, map );
    }
}
