#include <utility>

namespace icfp {

    const double pi = 3.141592654;
    typedef std::pair< double, double > position;
    
    double bearing( position from, position to );
    int relative_bearing( double rover, double target );

    bool will_collide( position location, double direction, position with, double radius );

    
}
